net.sourceforge.pmd.symboltable

## Class SourceFileScopeTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.SourceFileScopeTest

-     public class SourceFileScopeTest
      extends STBBaseTst

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

      `acu, stb`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceFileScopeTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testClassDeclAppears()`
    `void` | `testNestedClasses()`
    `void` | `testPackageIsEmptyString()`
    `void` | `testPackageNameFound()`

    - ### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

      `parseCode, parseCode, parseCode15`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceFileScopeTest

          public SourceFileScopeTest()

  - ### Method Detail

    - #### testClassDeclAppears

          public void testClassDeclAppears()

    - #### testPackageIsEmptyString

          public void testPackageIsEmptyString()

    - #### testPackageNameFound

          public void testPackageNameFound()

    - #### testNestedClasses

          public void testNestedClasses()

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.